#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "SettingsSubCategory.h"
#include "SettingsSubCategoryViewData.generated.h"

class USettingsOptionViewData;

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API USettingsSubCategoryViewData : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FText SubCategoryName;

	UPROPERTY(EditAnywhere)
	SettingsSubCategory SubCategory;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TArray<USettingsOptionViewData*> Options;

public:
	USettingsSubCategoryViewData();
};

FORCEINLINE uint32 GetTypeHash(const USettingsSubCategoryViewData) { return 0; }
